Bug 988690 - oo-accept-node passes when there are migration metadata in gears
oo-accept-node passes when there are migration metadata in gears
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 02:57 EDT by Jianwei Hou
Modified: 2015-05-14 19:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:56:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-07-26 02:57:32 EDT
Description of problem:
oo-accept-node reports "PASS" when there are migration metadata added in gears.

Version-Release number of selected component (if applicable):
On devenv_3564

How reproducible:
Always

Steps to Reproduce:
1. Create a diy-0.1 app
2. SSH into gear, add migration metadata
in rhcsh, add ".upgrade*" marker under 'app-root/data' dir
3. Run 'oo-accept-node --include-upgrade-checks'

Actual results:
[root@ip-10-151-40-32 data]# pwd
/var/lib/openshift/306246569371548719775744/app-root/data
[root@ip-10-151-40-32 data]# ls -a
.  ..  .bash_history  .bash_profile  .upgrade1  .upgrade11  .upgrade13  .upgrade-32.tst
[root@ip-10-151-40-32 data]# oo-accept-node --include-upgrade-checks -v
INFO: loading node configuration file /etc/openshift/node.conf
INFO: loading resource limit file /etc/openshift/resource_limits.conf
INFO: finding external network device
INFO: checking node public hostname resolution
INFO: checking selinux status
INFO: checking selinux openshift-hosted policy
INFO: checking selinux booleans
INFO: checking selinux nodes
INFO: checking package list
INFO: checking services
INFO: checking kernel semaphores >= 512
INFO: checking cgroups configuration
INFO: checking cgroups processes
INFO: checking filesystem quotas
INFO: checking quota db file selinux label
INFO: checking 1 user accounts
INFO: checking application dirs
INFO: checking system httpd configs
INFO: checking cartridge repository
PASS

Expected results:
Should fail given that the gear has migration metadata

Additional info:
Comment 1 Paul Morie 2013-07-26 14:17:11 EDT
Please re-test; the upgrade metadata now lives in app-root/runtime, which is why accept-node passed in your test.
Comment 2 Jianwei Hou 2013-07-29 04:57:57 EDT
Verified on devenv_3572, oo-accept-node works well to detect the migration metadata, thanks!

Note You need to log in before you can comment on or make changes to this bug.